Package org.eclipse.rdf4j.sail.evaluation

## Class SailTripleSource

- java.lang.Object
- - org.eclipse.rdf4j.sail.evaluation.SailTripleSource

- All Implemented Interfaces:
    `TripleSource`

      public class SailTripleSource
      extends Object
      implements TripleSource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SailTripleSource​(SailConnection conn, boolean includeInferred, ValueFactory valueFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseableIteration<? extends Statement,​QueryEvaluationException>` | `getStatements​(Resource subj, IRI pred, Value obj, Resource... contexts)` | Gets all statements that have a specific subject, predicate and/or object.
    `ValueFactory` | `getValueFactory()` | Gets a ValueFactory object that can be used to create URI-, blank node- and literal objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SailTripleSource

          public SailTripleSource​(SailConnection conn,
                                  boolean includeInferred,
                                  ValueFactory valueFactory)

  - ### Method Detail

    - #### getStatements

          public CloseableIteration<? extends Statement,​QueryEvaluationException> getStatements​(Resource subj,
                                                                                                      IRI pred,
                                                                                                      Value obj,
                                                                                                      Resource... contexts)
                                                                                               throws QueryEvaluationException

      Description copied from interface: `TripleSource`
      Gets all statements that have a specific subject, predicate and/or object. All three parameters may be null to indicate wildcards. Optionally a (set of) context(s) may be specified in which case the result will be restricted to statements matching one or more of the specified contexts.
      Specified by:
        `getStatements` in interface `TripleSource`
      Parameters:
        `subj` - A Resource specifying the subject, or null for a wildcard.
        `pred` - A URI specifying the predicate, or null for a wildcard.
        `obj` - A Value specifying the object, or null for a wildcard.
        `contexts` - The context(s) to get the statements from. Note that this parameter is a vararg and as such is optional. If no contexts are supplied the method operates on the entire repository.
      Returns:
        An iterator over the relevant statements.
      Throws:
        `QueryEvaluationException` - If the triple source failed to get the statements.

    - #### getValueFactory

          public ValueFactory getValueFactory()

      Description copied from interface: `TripleSource`
      Gets a ValueFactory object that can be used to create URI-, blank node- and literal objects.
      Specified by:
        `getValueFactory` in interface `TripleSource`
      Returns:
        a ValueFactory object for this TripleSource.